QGIS Application - Bug report #11548
Layer Filter Query Builder Values Incorrect on File GDB
2014-11-04 10:28 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.6.0 Regression?: No
Operating System: Windows 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19818
Description

If | try to define a filter on a File GDB layer, the "Values" window shows values from the wrong field. This appears to happen whether | click
on "Sample" or "All". It looks like it is taking the corresponding value from the first field in the table, rather than from the column | have
selected.

This bug doesn't affect my ability to filter - | can still set the filter properly by manually typing in the filter values. It looks like only the
population of the "Values" list is affected. Based on my testing, this only affects File GDB layers.

I'm using QGIS 2.6 newly downloaded from OSGeo4W.

Steps to reproduce:

1 - Open a File GDB feature class in QGIS

2 - Open Layer Properties dialog

3 - Select Query Builder to define a layer filter

4 - Select a field other than the first field in the list
5 - Click on "Sample" or "All" in the Values box

History

#1 - 2014-11-05 02:15 AM - Giovanni Manghi

- Category changed from GUI to Vectors

If of any help, ogr2ogr/info (shipped with the qgis installation) seems able to sort/filter correctly the features of file gdb.

The same issue shows in qgis 2.4 but | can test previous releases as are no more available on osgeo4w and standalone does not seems to have file gdb

support.

#2 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
